package com.fjhx.wms.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.fjhx.wms.entity.stock.dto.StockWaitSelectDto;
import com.fjhx.wms.entity.stock.po.StockWait;
import com.fjhx.wms.entity.stock.vo.StockWaitVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 待出入库 服务类
 * </p>
 *
 * @author
 * @since 2023-03-22
 */
public interface StockWaitService extends BaseService<StockWait> {

    /**
     * 待出入库分页
     */
    Page<StockWaitVo> getPage(StockWaitSelectDto dto);

    /**
     * 待出入库分页 维多利亚
     */
    Page<StockWaitVo> getPageByWdly(StockWaitSelectDto dto);

    /**
     * 待出入库明细
     */
    StockWaitVo detail(Long id);

    /**
     * 待出入库明细
     */
    StockWaitVo detailByWdly(Long id);

    /**
     * 待出入库新增
     */
    void add(StockWaitDetailsDto stockWaitDetailsDto);

    /**
     * 待出入库新增
     */
    void add1(StockWaitDto stockWaitDto);

    /**
     * 待出入库编辑
     */
    void edit(StockWaitDto stockWaitDto);

    /**
     * 待出入库删除
     */
    void delete(Long id);

    Integer getStockJournalType(int businessType);
}
